Bug 107327 - Objective-C API: Rename JSValue.h/APIJSValue.h to JSCJSValue.h/JSValue.h
Summary: Objective-C API: Rename JSValue.h/APIJSValue.h to JSCJSValue.h/JSValue.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Hahnenberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-18 14:35 PST by Mark Hahnenberg
Modified: 2013-01-31 14:12 PST (History)
14 users (show)

See Also:


Attachments
Patch (191.50 KB, patch)
2013-01-18 15:35 PST, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (190.86 KB, patch)
2013-01-18 16:29 PST, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (193.56 KB, patch)
2013-01-21 11:36 PST, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (204.64 KB, patch)
2013-01-21 12:03 PST, Mark Hahnenberg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2013-01-18 14:35:09 PST
We should rename these files to provide the best/least confusing/most consistent external interface for our clients.
Comment 1 Mark Hahnenberg 2013-01-18 15:35:56 PST
Created attachment 183560 [details]
Patch
Comment 2 Mark Hahnenberg 2013-01-18 16:29:01 PST
Created attachment 183570 [details]
Patch
Comment 3 WebKit Review Bot 2013-01-18 16:30:50 PST
Attachment 183570 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/APICast.h', u'So..." exit_code: 1
Source/JavaScriptCore/runtime/JSCJSValue.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:260:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:263:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:271:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValueInlines.h:26:  #ifndef header guard has wrong style, please use: JSCJSValueInlines_h  [build/header_guard] [5]
Source/JavaScriptCore/runtime/JSCJSValue.h:363:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:366:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:369:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:370:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:371:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:373:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:374:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:375:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:376:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:379:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:386:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:387:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Total errors found: 17 in 92 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Early Warning System Bot 2013-01-18 16:42:07 PST
Comment on attachment 183570 [details]
Patch

Attachment 183570 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/15946654
Comment 5 Early Warning System Bot 2013-01-18 16:51:01 PST
Comment on attachment 183570 [details]
Patch

Attachment 183570 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15946656
Comment 6 Build Bot 2013-01-18 17:05:30 PST
Comment on attachment 183570 [details]
Patch

Attachment 183570 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://queues.webkit.org/results/15937955

New failing tests:
canvas/philip/tests/2d.path.arc.scale.2.html
canvas/philip/tests/2d.path.stroke.skew.html
fast/canvas/webgl/read-pixels-test.html
canvas/philip/tests/2d.path.arcTo.scale.html
editing/selection/move-by-word-visually-multi-line.html
canvas/philip/tests/2d.path.stroke.scale1.html
canvas/philip/tests/2d.path.arcTo.transformation.html
Comment 7 Build Bot 2013-01-18 19:04:40 PST
Comment on attachment 183570 [details]
Patch

Attachment 183570 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/15944844
Comment 8 EFL EWS Bot 2013-01-18 19:45:35 PST
Comment on attachment 183570 [details]
Patch

Attachment 183570 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/15964025
Comment 9 kov's GTK+ EWS bot 2013-01-18 19:51:49 PST
Comment on attachment 183570 [details]
Patch

Attachment 183570 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/15969011
Comment 10 Mark Hahnenberg 2013-01-21 11:36:49 PST
Created attachment 183809 [details]
Patch
Comment 11 WebKit Review Bot 2013-01-21 11:40:23 PST
Attachment 183809 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/APICast.h', u'So..." exit_code: 1
Source/JavaScriptCore/runtime/JSCJSValue.cpp:260:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:263:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:271:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValueInlines.h:26:  #ifndef header guard has wrong style, please use: JSCJSValueInlines_h  [build/header_guard] [5]
Source/JavaScriptCore/runtime/JSCJSValue.h:363:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:366:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:369:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:370:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:371:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:373:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:374:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:375:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:376:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:379:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:386:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:387:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Total errors found: 16 in 96 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 Early Warning System Bot 2013-01-21 11:45:19 PST
Comment on attachment 183809 [details]
Patch

Attachment 183809 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/16037177
Comment 13 Geoffrey Garen 2013-01-21 11:52:36 PST
General approach looks good, but EWS says you missed some cases.
Comment 14 Mark Hahnenberg 2013-01-21 12:03:53 PST
Created attachment 183815 [details]
Patch
Comment 15 WebKit Review Bot 2013-01-21 12:08:31 PST
Attachment 183815 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/APICast.h', u'So..." exit_code: 1
Source/JavaScriptCore/runtime/JSCJSValue.cpp:260:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:263:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValue.cpp:271:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/JavaScriptCore/runtime/JSCJSValueInlines.h:26:  #ifndef header guard has wrong style, please use: JSCJSValueInlines_h  [build/header_guard] [5]
Source/JavaScriptCore/runtime/JSCJSValue.h:363:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:366:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:369:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:370:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:371:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:373:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:374:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:375:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:376:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:379:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:386:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Source/JavaScriptCore/runtime/JSCJSValue.h:387:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
Total errors found: 16 in 115 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 Build Bot 2013-01-22 13:53:12 PST
Comment on attachment 183815 [details]
Patch

Attachment 183815 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://queues.webkit.org/results/16045771

New failing tests:
canvas/philip/tests/2d.path.arc.scale.2.html
canvas/philip/tests/2d.path.stroke.skew.html
fast/canvas/webgl/read-pixels-test.html
canvas/philip/tests/2d.path.arcTo.scale.html
canvas/philip/tests/2d.path.stroke.scale1.html
canvas/philip/tests/2d.path.arcTo.transformation.html
Comment 17 Filip Pizlo 2013-01-24 13:21:53 PST
Comment on attachment 183815 [details]
Patch

rs=me
Comment 18 WebKit Review Bot 2013-01-24 13:41:29 PST
Comment on attachment 183815 [details]
Patch

Clearing flags on attachment: 183815

Committed r140718: <http://trac.webkit.org/changeset/140718>
Comment 19 WebKit Review Bot 2013-01-24 13:41:35 PST
All reviewed patches have been landed.  Closing bug.
Comment 20 Mark Hahnenberg 2013-01-31 14:12:17 PST
<rdar://problem/12954274>